<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: blok_blacklist_ip.php
| Author: Hisashi  (hoshi-fusion.com.pl)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";


if (!checkRights("BS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";

include LOCALE.LOCALESET."admin/blok_blacklist_ip.php";
include LOCALE.LOCALESET."syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

$syslog_log_ip = USER_IP;
$syslog_log_pname = $locale['hfbbl00']." - ";


if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['hfbbl02'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	} elseif ($_GET['status'] == "su") {
		$message = $locale['hfbbl03'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	} elseif ($_GET['status'] == "dy") {
		$message = $locale['hfbbl04'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	}
	
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['bbl_id']) && isnum($_GET['bbl_id']))) {
		$result = dbquery("DELETE FROM ".DB_BLOK_BLACKLIST." WHERE bbl_id='".$_GET['bbl_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dy");
} elseif (isset($_POST['save_ip'])) {
  $bbl_ip = stripinput($_POST['bbl_ip']);
	if ($bbl_ip) {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['bbl_id']) && isnum($_GET['bbl_id']))) {
			$result = dbquery("UPDATE ".DB_BLOK_BLACKLIST." SET bbl_ip='$bbl_ip' WHERE bbl_id='".$_GET['bbl_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".DB_BLOK_BLACKLIST." (bbl_ip) VALUES ('$bbl_ip')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} elseif ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['bbl_id']) && isnum($_GET['bbl_id']))) {
	$result = dbquery("SELECT bbl_id, bbl_ip FROM ".DB_BLOK_BLACKLIST." WHERE bbl_id='".$_GET['bbl_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$bbl_ip = $data['bbl_ip'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;bbl_id=".$data['bbl_id'];
		opentable($locale['hfbbl00'].$locale['hfbbl13'].$locale['hfbbl06']);
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
  $bbl_ip = "";
	$formaction = FUSION_SELF.$aidlink;
	opentable($locale['hfbbl00'].$locale['hfbbl13'].$locale['hfbbl05']);
}
echo "<form name='addcat' method='post' action='".$formaction."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hfbbl01']."</td>\n";
echo "<td class='tbl'><input type='text' name='bbl_ip' value='".$bbl_ip."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='save_ip' value='".$locale['hfbbl08']."' class='button' disabled='disabled' /></td>\n";
} else {
echo "<input type='submit' name='save_ip' value='".$locale['hfbbl08']."' class='button' /></td>\n";
}
echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['hfbbl00'].$locale['hfbbl13'].$locale['hfbbl12']);
$result = dbquery("SELECT * FROM ".DB_BLOK_BLACKLIST." ORDER BY bbl_id");
$rows = dbrows($result);
if ($rows != 0) {
	echo "<table cellpadding='0' cellspacing='1' width='400' class='center'>\n\n";
	echo "<tr><td align='center' class='tbl'>".$locale['hfbbl09']."</td>
  <td align='center' class='tbl'>".$locale['hfbbl10']."</td>
  <td align='center' class='tbl'>".$locale['hfbbl15']."</td></tr>\n";
	while ($data = dbarray($result)) {
		echo "<tr><td align='center' class='tbl'>".$data['bbl_id']."</td>";
		echo "<td align='center' class='tbl'>".$data['bbl_ip']."</td>";
		echo "<td align='center' class='tbl'>";
    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;bbl_id=".$data['bbl_id']."'>".$locale['hfbbl06']."</a>"; 
    echo " - ";		
    if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
    echo " ".$locale['hfbbl07'];
    } else { 
    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;bbl_id=".$data['bbl_id']."' onclick=\"return confirm('".$locale['hfbbl14']."');\">".$locale['hfbbl07']."</a>";
    }
    echo "</td></tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<div style='text-align:center'><br />\n".$locale['hfbbl11']."<br /><br />\n</div>\n";
}
closetable();

require_once THEMES."templates/footer.php";
?>