<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: phpinfo.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
include LOCALE.LOCALESET."admin/phpinfo.php";

if (!checkrights("PI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";

 if (!isset ($_GET['page']) || !isnum($_GET['page'])) {$_GET['page'] = 1;}

//Generating navigation
$navigation = "<table cellpadding='0' cellspacing='1' class='tbl-border' style='text-align:center;width:100%;margin-bottom:1em;'>\n<tr>\n";
$navigation .= "<td class='".($_GET['page']==1?"tbl1":"tbl2")."' style='width:25%'>".($_GET['page']==1?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=1'>".$locale['hf_phpinfo_001']."</a>".($_GET['page']==1?"</strong>":"")."</td>\n";
$navigation .= "<td class='".($_GET['page']==2?"tbl1":"tbl2")."' style='width:25%'>".($_GET['page']==2?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=2'>".$locale['hf_phpinfo_002']."</a>".($_GET['page']==2?"</strong>":"")."</td>\n";
$navigation .= "<td class='".($_GET['page']==3?"tbl1":"tbl2")."' style='width:25%'>".($_GET['page']==3?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=3'>".$locale['hf_phpinfo_003']."</a>".($_GET['page']==3?"</strong>":"")."</td>\n";
$navigation .= "<td class='".($_GET['page']==4?"tbl1":"tbl2")."' style='width:25%'>".($_GET['page']==4?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=4'>".$locale['hf_phpinfo_004']."</a>".($_GET['page']==4?"</strong>":"")."</td>\n";
$navigation .= "</tr></table>\n";
//General info
if ($_GET['page']==1) {
	$phpinfo = "<table cellpadding='0' cellspacing='1' class='tbl-border tab' style='width:100%;' id='folders'>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_005']."</td><td class='tbl2' style='text-align:right'>".php_uname()."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_phpinfo_006']."</td><td class='tbl1' style='text-align:right'>".$_SERVER['SERVER_SOFTWARE']."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_007']."</td><td class='tbl2' style='text-align:right'>".phpversion()."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_phpinfo_008']."</td><td class='tbl1' style='text-align:right'>".php_sapi_name()."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_009']."</td><td class='tbl2' style='text-align:right'>".mysql_get_server_info()."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_phpinfo_010']."</td><td class='tbl1' style='text-align:right'>".$settings['version']."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_011']."</td><td class='tbl2' style='text-align:right'>".$settings['ef_name']."</td></tr>\n";
  $phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_phpinfo_012']."</td><td class='tbl1' style='text-align:right'>".$settings['ef_version']."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_013']."</td><td class='tbl2' style='text-align:right'>".$settings['ef_sp_version']."</td></tr>\n";
  $phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$settings['ef_compilation']."</td><td class='tbl1' style='text-align:right'>".$settings['ef_compilation_number']."</td></tr>\n";
	if ($settings['hf_installation_date'] != "0") {
          $phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_global_inst_000']."</td><td class='tbl2' style='text-align:right'>".date("Y.m.d H:i " , $settings['hf_installation_date'])."</td></tr>\n";
	}
  if ($settings['hf_last_updated'] != "0") {
          $phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_global_inst_001']."</td><td class='tbl1' style='text-align:right'>".date("Y.m.d H:i " , $settings['hf_last_updated'])."</td></tr>\n";
  }
  $phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_015']."</td><td class='tbl2' style='text-align:right'>".DB_PREFIX."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:20%'>".$locale['hf_phpinfo_016']."</td><td class='tbl1' style='text-align:right'>".COOKIE_PREFIX."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:20%'>".$locale['hf_phpinfo_017']."</td><td class='tbl2' style='text-align:right'>".stripinput($_SERVER['HTTP_USER_AGENT'])."</td></tr>\n";
	$phpinfo .= "</table>\n";
} else
//PHP settings
if ($_GET['page']==2) {
	//Check GD version
	if (function_exists('gd_info')) {
		$gd_ver = gd_info();
		preg_match('/[0-9]+.[0-9]+/', $gd_ver['GD Version'], $gd_ver);
	} else {
		$gd_ver = '';
	}
	$phpinfo = "<table cellpadding='0' cellspacing='1' class='tbl-border tab' style='width:100%;' id='folders'>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:50%'>".$locale['hf_phpinfo_020']."</td><td class='tbl2' style='text-align:right'>".(ini_get('safe_mode')?$locale['hf_phpinfo_030']:$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:50%'>".$locale['hf_phpinfo_021']."</td><td class='tbl1' style='text-align:right'>".(ini_get('register_globals')?$locale['hf_phpinfo_030']:$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:50%'>".$locale['hf_phpinfo_022']."</td><td class='tbl2' style='text-align:right'>".(extension_loaded('gd')?$locale['hf_phpinfo_030']." (".$gd_ver[0].")":$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:50%'>".$locale['hf_phpinfo_023']." zlib</td><td class='tbl1' style='text-align:right'>".(extension_loaded('zlib')?$locale['hf_phpinfo_030']:$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:50%'>".$locale['hf_phpinfo_024']." Magic_quotes_gpc</td><td class='tbl2' style='text-align:right'>".(ini_get('magic_quotes_gpc')?$locale['hf_phpinfo_030']:$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:50%'>".$locale['hf_phpinfo_025']."</td><td class='tbl1' style='text-align:right'>".(ini_get('file_uploads')?$locale['hf_phpinfo_030']." (".ini_get('upload_max_filesize')."B)":$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl2' style='width:50%'>".$locale['hf_phpinfo_026']."</td><td class='tbl2' style='text-align:right'>".(ini_get('display_errors')?$locale['hf_phpinfo_030']:$locale['hf_phpinfo_031'])."</td></tr>\n";
	$phpinfo .= "<tr>\n<td class='tbl1' style='width:50%'>".$locale['hf_phpinfo_027']."</td><td class='tbl1' style='text-align:right'>".(ini_get('disable_functions')?ini_get('disable_functions'):$locale['hf_phpinfo_032'])."</td></tr>\n";
	$phpinfo .= "</table>\n";
} else
//folder permissions
if ($_GET['page']==3) {
	$status ='';
	$folders = array(
	//path => have to be writeable or not
	"administration/db_backups" => true,
		"images" => true,
		"images/imagelist.js" => true,
		"images/articles" => true,
		"images/avatars" => true,
		"images/avatars/team" => true,
		"images/ekipa_mod" => true,
		"images/news" => true,
		"images/news/thumbs" => true,
		"images/news_cats" => true,
		"images/photoalbum" => true,
		"images/photoalbum/submissions" => true,
		"images/wymiana" => true,
	  "infusions/hosting_settings/images" => true,
	  "infusions/hosting_settings/images/imagelist.js" => true,
		"forum/attachments" => true,
		"config.php" => false
	);
	add_to_head("<style type='text/css'>.passed {color:green;} .failed {color:red; text-transform: uppercase; font-weight:bold;}</style>\n");
	//Check file/folder writeable
	$i = 0;
	foreach ($folders as $folder => $writeable) {
		$row_class = ($i%2 ? "tbl1" : "tbl2");
		$status .= "<tr>\n<td class='".$row_class."' style='width:50%'>".$folder."</td><td class='".$row_class."' style='text-align:right'>";

		if (is_writable(BASEDIR.$folder)==true) {
			$status .= "<span class='".($writeable==true?"passed":"failed")."'>".$locale['hf_phpinfo_033']."</span>";
		} else {
			$status .= "<span class='".($writeable==true?"failed":"passed")."'>".$locale['hf_phpinfo_034']."</span>";
		}
		$status .= " (".substr(sprintf('%o', fileperms(BASEDIR.$folder)), -4).")</td></tr>\n";
		$i++;
	}
	$phpinfo = "<table cellpadding='0' cellspacing='1' class='tbl-border tab' style='width:100%;' id='folders'>\n";
	$phpinfo .= $status;
	$phpinfo .= "</table>\n";
} else
//classic phpinfo
if ($_GET['page']==4) {
	if (!stristr(ini_get('disable_functions'),"phpinfo")) {
		//Generating new phpinfo style, compatible with PHP-Fusion styles
		ob_start();
		$phpinfo = phpinfo();
		$phpinfo = ob_get_contents();
		ob_end_clean();
		$phpinfo = preg_replace('%^.*<body>(.*)</body>.*$%ms', '$1', $phpinfo);
		$phpinfo = preg_replace('%<h1.*>.*</h1>%', "<h3 class='tbl2'>$2</h3>", $phpinfo);
		$phpinfo = preg_replace('%<h2><a name="(.*)">(.*)</a></h2>%', "<h4 class='phpinfo forum-caption'>$2</h4>", $phpinfo);
		$phpinfo = preg_replace('%<h2>(.*)</h2>%', "<div class='forum-caption'>$1</div>", $phpinfo);
		$phpinfo = preg_replace('%<th colspan="2">(.*)</th>%', "<th colspan='2'><h5>$1</h5></th>", $phpinfo);
		$phpinfo = str_replace('<table border="0" cellpadding="3" width="600"', "<table class='tbl-border phpinfo_cont' style='width:100%;'", $phpinfo);
		$phpinfo = str_replace("<h3 class='tbl2'></h3>",'',$phpinfo);
		$phpinfo = str_replace('class="h"', "class='tbl2 center'", $phpinfo);
		$phpinfo = str_replace('class="e"', "class='tbl2'", $phpinfo);
		$phpinfo = str_replace('class="v"', "class='tbl1'", $phpinfo);
	} else {
		$phpinfo = "<div class='admin-message'>".$locale['451']."</div>\n";
	}
}

opentable($locale['hf_phpinfo']);
echo $navigation;
echo $phpinfo;
closetable();

require_once THEMES."templates/footer.php";
?>