<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings_syslog.php
| Author: hISASHI
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("SSLS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include LOCALE.LOCALESET."admin/syslog.php";
include LOCALE.LOCALESET."syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

$syslog_log_ip = USER_IP;
$syslog_log_pname = $locale['logs_000']." - ";


if (isset($_POST['savesettings'])) {
	$error = 0;


	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_log_system']) ? $_POST['ef_log_system'] : "0")."' WHERE settings_name='ef_log_system'");
	if (!$result) { $error = 1; }	
  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_logs_max_in_db']) ? $_POST['ef_logs_max_in_db'] : "0")."' WHERE settings_name='ef_logs_max_in_db'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_log_system_view_log_info']) ? $_POST['ef_log_system_view_log_info'] : "0")."' WHERE settings_name='ef_log_system_view_log_info'");
	if (!$result) { $error = 1; }


	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

//syslog is off
if ($settings['ef_log_system'] == "0") {
  echo "<center><div class='admin-message'>".$locale['logs_018']."</div><center>";
}

//HFBS is on
if ($settings['ef_hf_enable_user_ban_system'] == "1" || ($settings['ef_hf_enable_user_ban_system'] == "1" && $settings['ef_hfbs_enable_auto_ban_ip_adres'] == "1")) {
         $sbs_error = $locale['logs_032'].": <a href='".ADMIN."settings_security.php".$aidlink."'>".$locale['logs_034']."</a>!";
         echo "<div class='admin-message'>".$sbs_error."</div>\n"; 
}
//enable autoban IP address
if ($settings['ef_hfbs_enable_auto_ban_ip_adres'] == "1") {
         $sbs_abip_error = $locale['logs_033'].": <a href='".ADMIN."settings_security.php".$aidlink."'>".$locale['logs_034']."</a>!";
         echo "<div class='admin-message'>".$sbs_abip_error."</div>\n"; 
}
  
//hf demo IS on
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}



opentable($locale['683']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
if (iADMIN && $userdata['user_level'] = "106") {
 if ($settings['ef_hf_enable_user_ban_system'] == "1" || $settings['ef_hfbs_enable_auto_ban_ip_adres'] == "1" || ($settings['ef_hf_enable_user_ban_system'] == "1" && $settings['ef_hfbs_enable_auto_ban_ip_adres'] == "1")) {
         echo "<td class='tbl'>".$locale['logs_003']."</td>\n";
         echo "<td class='tbl'><select name='ef_log_system' class='textbox' disabled='disabled' style='width:200px;' />\n";
         echo "<option value='0'".($settings['ef_log_system'] == "0" ? " selected='selected'" : "").">".$locale['logs_006']."</option>\n";
         echo "<option value='1'".($settings['ef_log_system'] == "1" ? " selected='selected'" : "").">".$locale['logs_005']."</option></td>\n";
         echo "<input type='hidden' name='ef_log_system' value='".$settings['ef_log_system']."' class='button' />"; 
         echo "</tr>\n<tr>\n";
 } else {
         echo "<td class='tbl'>".$locale['logs_003']."</td>\n";
         echo "<td class='tbl'><select name='ef_log_system' class='textbox' style='width:200px;' />\n";
         echo "<option value='0'".($settings['ef_log_system'] == "0" ? " selected='selected'" : "").">".$locale['logs_006']."</option>\n";
         echo "<option value='1'".($settings['ef_log_system'] == "1" ? " selected='selected'" : "").">".$locale['logs_005']."</option></td>\n";
         echo "</tr>\n<tr>\n";
 }
echo "<td class='tbl'>".$locale['logs_031']."</td>\n";
echo "<td class='tbl'><input type='text' name='ef_logs_max_in_db' value='".$settings['ef_logs_max_in_db']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr><tr>";
echo "<td class='tbl'>".$locale['logs_031']."</td>\n";
echo "<td class='tbl'><select name='ef_log_system_view_log_info' class='textbox' style='width:200px;' />\n";
echo "<option value='0'".($settings['ef_log_system_view_log_info'] == "0" ? " selected='selected'" : "").">".$locale['logs_006']."</option>\n";
echo "<option value='1'".($settings['ef_log_system_view_log_info'] == "1" ? " selected='selected'" : "").">".$locale['logs_005']."</option></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td class='tbl'>".$locale['logs_004']."</td>\n";
echo "<td class='tbl'><select name='ef_logs_per_page' class='textbox' style='width:200px;' />\n";
echo "<option value='5'".($settings['ef_logs_per_page'] == "5" ? " selected='selected'" : "").">5</option>\n";
echo "<option value='10'".($settings['ef_logs_per_page'] == "10" ? " selected='selected'" : "").">10</option>\n";
echo "<option value='15'".($settings['ef_logs_per_page'] == "15" ? " selected='selected'" : "").">15</option>\n";
echo "<option value='20'".($settings['ef_logs_per_page'] == "20" ? " selected='selected'" : "").">20</option></td>\n";
echo "</tr><tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='savesettings' value='".$locale['750']."' disabled='disabled' class='button' /></td>\n";
} else {
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' /></td>\n";
}
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
