 <?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: site_team.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkRights("ST1") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include INCLUDES."team_include.php";
include LOCALE.LOCALESET."admin/team.php";
include LOCALE.LOCALESET."syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

$result = dbquery("SELECT admin_title FROM ".DB_ADMIN." WHERE admin_rights='ST1'");
$admpdata = dbarray($result);
$syslog_log_ip = USER_IP;
$syslog_log_pname = $admpdata['admin_title']." - ";


 if ($settings['tinymce_enabled']) {
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}


$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$st_id = (isset($_REQUEST['st_id']) AND isnum($_REQUEST['st_id'])) ? $_REQUEST['st_id'] : "";

opentable($locale['hftp_000']);
switch ($axn) {
	default:

  
	$result = dbquery("SELECT * FROM ".DB_SITETEAM." ORDER BY st_id");
	$rows = dbrows($result);
	if ($rows > 0) {
		echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_028']."</td>\n";		
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_044']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_029']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_037']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_041']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_042']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_043']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_047']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['hftp_027']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<td align='center' class='tbl1'>".$data['st_name']."</td>\n";
			echo "<td align='center' class='tbl1' style='font-weight:bold'>".$data['st_avatar']."</td>\n";
			echo "<td align='center' class='tbl1'>"; 
               $usertype = $data['st_type'];
               echo getusertype($usertype);
      echo "</td>\n";
			echo "<td align='center' class='tbl1'>";
        if ($data['st_active']=="1") { 
             echo "<b>".$locale['hftp_026']."</b>"; 
          } else { 
                echo "<b><u>".$locale['hftp_025']."</u></b>"; 
          }
      echo "</td>\n";
       echo "<td align='center' class='tbl1' style='font-weight:bold'>";
      if(empty($data['st_gg'])) {
        echo $locale['hftp_038'];
      } else { 
             echo $data['st_gg'];
      }
      echo "</td>\n";
		  echo "<td align='center' class='tbl1' style='font-weight:bold'>";
      if(empty($data['st_skype'])) {
        echo $locale['hftp_038'];
      } else { 
             echo $data['st_skype'];
      }
      echo "</td>\n";
		  echo "<td align='center' class='tbl1' style='font-weight:bold'>";
      if(empty($data['st_email'])) {
        echo $locale['hftp_038'];
      } else { 
             echo $data['st_email'];
      }
      echo "</td>\n";
      echo "<td align='center' class='tbl1'>";
        if ($data['st_leave']=="1") { 
             echo "<b><u>".$locale['hftp_026']."</u></b>"; 
          } else { 
                echo "<b>".$locale['hftp_025']."</b>"; 
          }
       echo "</td>\n";
			echo "<td align='center' class='tbl1'>";
			if  ($data['st_type'] != 106 || $userdata['user_id'] == 1 || $userdata['user_level'] == 106) {
         echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=edit&st_id=".$data['st_id']."'>".$locale['hftp_033']."</a> | \n";
        if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
         echo $locale['hftp_034'];
        } else {
			   echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=del&st_id=".$data['st_id']."'>".$locale['hftp_034']."</a>";
        }
      }
      echo "</td></tr>\n";
		}
		echo "<tr><td align='right' class='tbl2' colspan='9'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['hftp_018']."</a>
          </p></td></tr></table>\n";
	}
	else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['hftp_001']."</span></p><br><br>\n";
		echo "<p style='margin-bottom:2em'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['hftp_018']."</a>
          </p></div>\n";
	}
	  echo "<center><a href='".ADMIN."images.php".$aidlink."&amp;ifolder=imagesae'>".$locale['hftp_036']."</a><center>"; 
	  
	break;
	case 'add':
	if (isset($_POST['add_team'])) {
  $st_name = stripinput($_POST['st_name']);
  $st_realname = stripinput($_POST['st_realname']);
  $st_location = stripinput($_POST['st_location']);	
  $st_age = stripinput($_POST['st_age']);	
  $st_avatar = stripinput($_POST['st_avatar']);	
  $st_type = stripinput($_POST['st_type']);
  $st_functions = stripinput($_POST['st_functions']);
	$st_about = stripinput($_POST['st_about']);
  $st_gg = stripinput($_POST['st_gg']);
	$st_skype = stripinput($_POST['st_skype']);
  $st_email = stripinput($_POST['st_email']);               
  $st_active = stripinput($_POST['st_active']);
  $st_user_id = stripinput($_POST['st_user_id']);
  if ($_POST['st_avatar'] == "noav.png") {
     $st_avatar_type = "3";
  } else {
        $st_avatar_type = stripinput($_POST['st_avatar_type']);
  }
  
		dbquery("INSERT INTO ".DB_SITETEAM." VALUES('', '$st_name', '$st_realname', '$st_location', '$st_age', '$st_avatar', '$st_type', '$st_functions', '$st_about', '$st_gg', '$st_skype', '$st_email', '$st_active', '0', '$st_user_id', '$st_avatar_type')");		    
    //syslog
		$syslog_text = $syslog_log_pname.$locale['logs_hftp00'].$st_name."."; 
     if ($settings['ef_log_system'] == "1") {
		          
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_text', '$syslog_log_ip', '".time()."')");
     }	
    echo "<center><div class='admin-message'><b>".$syslog_text."</b></div></center>\n";
    redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		echo "<table align='center' width='80%'' border='1' class='tbl'><tr><td align center border='1' class='tbl2'>".$locale['hftp_024']."</td></tr></table><br /><br />\n";
$image_files = makefilelist(IMAGES_AE, ".|..|index.php", true);
$image_list = makefileopts($image_files,$data['st_avatar']);
echo "<form name='addform' action='".FUSION_SELF.$aidlink."&amp;axn=add' method='post'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hftp_018']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_049']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_user_id' class='textbox' style='width:200px;' />\n";
 $result = dbquery("SELECT user_id, user_name, user_groups, user_level FROM ".DB_USERS." 
      WHERE  user_level > '101' OR user_groups > 0
      ORDER BY user_level DESC");
      while ($admins = dbarray($result)) {
				$groups = "";
			  $user_groups = explode(".", $admins['user_groups']);
			  foreach ($user_groups as $key => $value) {
				  if ($value) {
					     $groups .= "<a href='profile.php?group_id=".$value."'>".getgroupname($value)."</a>;".($j < count($user_groups)-1 ? ", " : "");
				  }
				  $j++;
			  }
        $teammember = array(
        'user_id' =>  $admins['user_id'],
        'user_name' =>  $admins['user_name']
        );
        echo "<option value='".$teammember['user_id']."'>".$teammember['user_name']." (".($groups ? $groups : ($admins['user_level'] == 106 ? $locale['hftp_056'] : $locale['hftp_055'])).")</option>\n";
      } 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_030']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><input type='text' name='st_name' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_002']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_realname' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_004']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_location' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_003']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_age' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_031']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_avatar' class='textbox' style='width:200px;'>\n".$image_list."</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_050']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_avatar_type' class='textbox' style='width:200px;' />\n";
echo "<option value='1'>".$locale['hftp_051']."</option>\n";
echo "<option value='2'>".$locale['hftp_052']."</option>\n";
echo "<option value='3' selected='selected'>".$locale['hftp_053']."</option>\n";
echo "<option value='4'>".$locale['hftp_054']."</option>\n"; 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_016']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_type' class='textbox' style='width:200px;' />\n";
echo "<option value='101'>".$locale['hftp_015']."</option>\n";
echo "<option value='102'>".$locale['hftp_014']."</option>\n";
echo "<option value='103'>".$locale['hftp_013']."</option>\n";
echo "<option value='104'>".$locale['hftp_012']."</option>\n";
echo "<option value='105'>".$locale['hftp_011']."</option>\n";
echo "<option value='106'>".$locale['hftp_010']."</option>\n"; 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_005']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><textarea name='st_functions' cols='50' rows='5' class='textbox' style='width:200px;'></textarea></td>\n";
echo "</tr>\n<tr>\n"; 
echo "<td width='130' class='tbl'>".$locale['hftp_006']."</td>\n";
echo "<td class='tbl'><textarea name='st_about' cols='50' rows='5' class='textbox' style='width:200px;'></textarea></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_007']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_gg' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_008']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_skype' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_009']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_email' value='' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_045']."</td>\n";
echo "<td class='tbl'><select name='st_active' class='textbox' style='width:200px;' />\n";
echo "<option value='0'>".$locale['hftp_025']."</option>\n";
echo "<option value='1'>".$locale['hftp_026']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='add_team' value='".$locale['hftp_046']."' class='button' disabled='disabled' /></td>\n";
} else {
echo "<input type='submit' name='add_team' value='".$locale['hftp_046']."' class='button' /></td>\n";
}
echo "</tr>\n</table>\n</form>\n";
	}
	break;
	case 'edit':
	if (isset($_POST['edit_button'])) {
	  $st_name = stripinput($_POST['st_name']);
  $st_realname = stripinput($_POST['st_realname']);
  $st_location = stripinput($_POST['st_location']);	
  $st_age = stripinput($_POST['st_age']);	
  $st_avatar = stripinput($_POST['st_avatar']);	
  $st_type = stripinput($_POST['st_type']);
  $st_functions = stripinput($_POST['st_functions']);
	$st_about = stripinput($_POST['st_about']);
  $st_gg = stripinput($_POST['st_gg']);
	$st_skype = stripinput($_POST['st_skype']);
  $st_email = stripinput($_POST['st_email']);
  $st_active = stripinput($_POST['st_active']);
  $st_leave = stripinput($_POST['st_leave']);
  $st_user_id = stripinput($_POST['st_user_id']);
  $st_avatar_type = stripinput($_POST['st_avatar_type']);
		dbquery("UPDATE ".DB_SITETEAM." SET st_name='$st_name', st_realname='$st_realname', st_location='$st_location', st_age='$st_age', st_avatar='$st_avatar', St_type='$st_type', st_functions='$st_functions', st_about='$st_about', st_gg='$st_gg', st_skype='$st_skype', st_email='$st_email', st_active='$st_active' , st_leave='$st_leave', st_user_id='$st_user_id', st_avatar_type=$st_avatar_type WHERE st_id='".$st_id."'");
		 //syslog
		$syslog_text = $syslog_log_pname.$locale['logs_hftp01'].$st_name."."; 
     if ($settings['ef_log_system'] == "1") {
		          
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_text', '$syslog_log_ip', '".time()."')");
     }	
    echo "<center><div class='admin-message'><b>".$syslog_text."</b></div></center>\n";
    redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_SITETEAM." WHERE st_id=".$st_id."");
		$data = dbarray($result);
		echo "<table align='center' width='80%'' border='1' class='tbl'><tr><td align center border='1' class='tbl2'>".$locale['hftp_024']."</td></tr></table><br /><br />\n";
    $image_files = makefilelist(IMAGES_AE, ".|..|index.php", true);
    $image_list = makefileopts($image_files,$data['st_avatar']);
		echo "<form name='editform' action='".FUSION_SELF.$aidlink."&amp;axn=edit' method='post' style='margin:2em;'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n
<tr><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hftp_017']."</span></td></tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_049']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_user_id' class='textbox' style='width:200px;' />\n";
 $result = dbquery("SELECT user_id, user_name, user_groups, user_level FROM ".DB_USERS." 
      WHERE  user_level > '101' OR user_groups > 0
      ORDER BY user_level DESC");
      while ($admins = dbarray($result)) {
				$groups = "";
			  $user_groups = explode(".", $admins['user_groups']);
			  foreach ($user_groups as $key => $value) {
				  if ($value) {
					     $groups .= "<a href='profile.php?group_id=".$value."'>".getgroupname($value)."</a>;".($j < count($user_groups)-1 ? ", " : "");
				  }
				  $j++;
			  }
        $teammember = array(
        'user_id' =>  $admins['user_id'],
        'user_name' =>  $admins['user_name']
        );
        echo "<option value='".$teammember['user_id']."'".($data['st_user_id'] == $teammember['user_id'] ? " selected='selected'" : "").">".$teammember['user_name']." (".($groups ? $groups : ($admins['user_level'] == 106 ? $locale['hftp_056'] : $locale['hftp_055'])).")</option>\n";
      } 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_030']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><input type='text' name='st_name' value='".$data['st_name']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_002']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_realname' value='".$data['st_realname']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_004']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_location' value='".$data['st_location']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_003']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_age' value='".$data['st_age']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_031']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_avatar' class='textbox' style='width:200px;'>\n".$image_list."</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_050']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_avatar_type' class='textbox' style='width:200px;' />\n";
echo "<option value='1' ".($data['st_avatar_type'] == "2" ? " selected='selected'" : "").">".$locale['hftp_051']."</option>\n";
echo "<option value='2' ".($data['st_avatar_type'] == "2" ? " selected='selected'" : "").">".$locale['hftp_052']."</option>\n";
echo "<option value='3' ".($data['st_avatar_type'] == "3" ? " selected='selected'" : "").">".$locale['hftp_053']."</option>\n";
echo "<option value='4' ".($data['st_avatar_type'] == "4" ? " selected='selected'" : "").">".$locale['hftp_054']."</option>\n"; 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_016']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><select name='st_type' class='textbox' style='width:200px;' />\n";
echo "<option value='101'".($data['st_type'] == "101" ? " selected='selected'" : "").">".$locale['hftp_015']."</option>\n";
echo "<option value='102'".($data['st_type'] == "102" ? " selected='selected'" : "").">".$locale['hftp_014']."</option>\n";
echo "<option value='103'".($data['st_type'] == "103" ? " selected='selected'" : "").">".$locale['hftp_013']."</option>\n";
echo "<option value='104'".($data['st_type'] == "104" ? " selected='selected'" : "").">".$locale['hftp_012']."</option>\n";
echo "<option value='105'".($data['st_type'] == "105" ? " selected='selected'" : "").">".$locale['hftp_011']."</option>\n";
echo "<option value='106'".($data['st_type'] == "106" ? " selected='selected'" : "").">".$locale['hftp_010']."</option>\n"; 
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_005']." <font color='red'>*</font></td>\n";
echo "<td class='tbl'><textarea name='st_functions' cols='50' rows='5' class='textbox' style='width:200px;'>".$data['st_functions']."</textarea></td>\n";
echo "</tr>\n<tr>\n"; 
echo "<td width='130' class='tbl'>".$locale['hftp_006']."</td>\n";
echo "<td class='tbl'><textarea name='st_about' cols='50' rows='5' class='textbox' style='width:200px;'>".$data['st_about']."</textarea></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_007']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_gg' value='".$data['st_gg']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_008']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_skype' value='".$data['st_skype']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_009']."</td>\n";
echo "<td class='tbl'><input type='text' name='st_email' value='".$data['st_email']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_048']."</td>\n";
echo "<td class='tbl'><select name='st_leave' class='textbox' style='width:200px;' />\n";
echo "<option value='0'".($data['st_leave'] == "0" ? " selected='selected'" : "").">".$locale['hftp_025']."</option>\n";
echo "<option value='1'".($data['st_leave'] == "1" ? " selected='selected'" : "").">".$locale['hftp_026']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['hftp_045']."</td>\n";
echo "<td class='tbl'><select name='st_active' class='textbox' style='width:200px;' />\n";
echo "<option value='0'".($data['st_active'] == "0" ? " selected='selected'" : "").">".$locale['hftp_025']."</option>\n";
echo "<option value='1'".($data['st_active'] == "1" ? " selected='selected'" : "").">".$locale['hftp_026']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
		echo "<td align='center' class='tbl' colspan='2'>\n";
		if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
    echo "<input type='hidden' name='st_id' value='$st_id'><input type='submit' name='edit_button' value='".$locale['hftp_032']."' class='button' disabled='disabled' />\n";
		} else {
    echo "<input type='hidden' name='st_id' value='$st_id'><input type='submit' name='edit_button' value='".$locale['hftp_032']."' class='button' />\n";
		}
		echo "</td></tr></table>\n";
		echo "</form>\n";
	}
	break;
	case 'del':
	if (isset($_POST['del_button'])) {
	   $st_name = stripinput($_POST['st_name']);
		dbquery("DELETE FROM ".DB_SITETEAM." WHERE st_id=".$st_id."");
		//syslog
		$syslog_text = $syslog_log_pname.$locale['logs_hftp02'].$st_name."."; 
     if ($settings['ef_log_system'] == "1") {
		          
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_text', '$syslog_log_ip', '".time()."')");
     }	
    echo "<center><div class='admin-message'><b>".$syslog_text."</b></div></center>\n";
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_SITETEAM." WHERE st_id=".$st_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=del' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['hftp_040']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['hftp_060'].":  <span style='font-weight:bold;'>".$data['st_name']."</span>?\n";
		echo "</td></tr>\n";
		$log_user = $data['st_name'];
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='st_name' value='$log_user' />\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='st_id' value='$st_id' />\n";
		echo "<input type='submit' name='del_button' value='".$locale['hftp_026']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['hftp_025']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}

 closetable();

require_once THEMES."templates/footer.php";
?>