<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_cats.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."hosting_settings/infusion_db.php";
require_once SHAP."sh_buildlist.php";  
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

if (!checkRights("SHC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

require_once THEMES."templates/admin_header.php";

if (file_exists(SHAP."locale/".$settings['locale'].".php")) {
	include SHAP."locale/".$settings['locale'].".php";
} else {
	include SHAP."locale/English.php";
}
include LOCALE.LOCALESET."syslog.php";

$syslog_log_ip = USER_IP;
$syslog_log_pname = $locale['shp_00']." - ";


if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['shp_04'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	} elseif ($_GET['status'] == "su") {
		$message = $locale['shp_05'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	} elseif ($_GET['status'] == "dy") {
		$message = $locale['shp_08'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }	
	}
	
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['sh_id']) && isnum($_GET['sh_id']))) {
		$result = dbquery("DELETE FROM ".DB_SH_ADMIN." WHERE sh_id='".$_GET['sh_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dy");
} elseif (isset($_POST['save_hs'])) {
  $sh_name = stripinput($_POST['sh_name']);
	$sh_image = stripinput($_POST['sh_image']);
	$sh_link = stripinput($_POST['sh_link']);
	if ($sh_name && $sh_image && $sh_link) {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['sh_id']) && isnum($_GET['sh_id']))) {
			$result = dbquery("UPDATE ".DB_SH_ADMIN." SET sh_name='$sh_name', sh_image='$sh_image', sh_link='$sh_link' WHERE sh_id='".$_GET['sh_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".DB_SH_ADMIN." (sh_name, sh_image, sh_link) VALUES ('$sh_name', '$sh_image', '$sh_link')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} elseif ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['sh_id']) && isnum($_GET['sh_id']))) {
	$result = dbquery("SELECT sh_id, sh_name, sh_image, sh_link FROM ".DB_SH_ADMIN." WHERE sh_id='".$_GET['sh_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$sh_name = $data['sh_name'];
	  $sh_image = $data['sh_image'];
	  $sh_link =  $data['sh_link'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;sh_id=".$data['sh_id'];
		opentable($locale['shp_01']);
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
  $sh_name = "";
	$sh_image = "";
	$sh_link = "";
	$formaction = FUSION_SELF.$aidlink;
	opentable($locale['shp_02']);
}
$image_files = makefilelist(IMG_HSC, ".|..|index.php", true);
$image_list = makefileopts($image_files,$sh_image);
echo "<form name='addcat' method='post' action='".$formaction."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['shp_10']."</td>\n";
echo "<td class='tbl'><input type='text' name='sh_name' value='".$sh_name."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['shp_11']."</td>\n";
echo "<td class='tbl'><select name='sh_image' class='textbox' style='width:200px;'>\n".$image_list."</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['shp_15']."</td>\n";
echo "<td class='tbl'><input type='text' name='sh_link' value='".$sh_link."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='save_hs' value='".$locale['shp_12']."' class='button' disabled='disabled' /></td>\n";
} else {
echo "<input type='submit' name='save_hs' value='".$locale['shp_12']."' class='button' /></td>\n";
}
echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['shp_03']);
$result = dbquery("SELECT sh_id, sh_name, sh_image FROM ".DB_SH_ADMIN." ORDER BY sh_name");
$rows = dbrows($result);
if ($rows != 0) {
	$counter = 0; $columns = 4;
	echo "<table cellpadding='0' cellspacing='1' width='400' class='center'>\n<tr>\n";
	while ($data = dbarray($result)) {
		if ($counter != 0 && ($counter % $columns == 0)) echo "</tr>\n<tr>\n";
		echo "<td align='center' width='25%' class='tbl'><strong>".$data['sh_name']."</strong><br /><br />\n";
		echo "<img src='".IMG_HSC.$data['sh_image']."' alt='".$data['sh_name']."' /><br /><br />\n";
		echo "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;sh_id=".$data['sh_id']."'>".$locale['shp_13']."</a> -\n";
		if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
    echo $locale['shp_14']."</span></td>\n";
    } else {
    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;sh_id=".$data['sh_id']."' onclick=\"return confirm('".$locale['shp_18']."');\">".$locale['shp_14']."</a></span></td>\n";
		}
    $counter++;
	}
	echo "</tr>\n</table>\n";
} else {
	echo "<div style='text-align:center'><br />\n".$locale['shp_16']."<br /><br />\n</div>\n";
}
echo "<div style='text-align:center'><br />\n<a href='".SHAP."sh_images.php".$aidlink."&amp;ifolder=imagesnc'>".$locale['shp_17']."</a><br /><br />\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>