<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| downloads_suggestions
| Original author: Hisashi
| Email: hisashi@hoshi-fusion.com.com.pl
| Web: http://hoshi-fusion.com.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include INCLUDES."downloads_suggestions.php";
include LOCALE.LOCALESET."admin/downloads_suggestions.php";



if (!checkrights("D") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if ($settings['ef_enable_downloads_suggestions'] == "0") { 
              echo "<center><div class='admin-message'>".$locale['dl_022']."!</div><center>";
} else {

$sys_dir = BASEDIR;
$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$dl_id = (isset($_REQUEST['dl_id']) AND isnum($_REQUEST['dl_id'])) ? $_REQUEST['dl_id'] : "";

opentable($locale['dl_000']);
switch ($axn) {
	default:
	$result = dbquery("SELECT * FROM ".DB_HF_DOWNLOADS_SUGGESTIONS." ");
	$rows = dbrows($result);
	if ($rows > 0) {
		echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['dl_005']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['dl_006']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['dl_007']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['dl_008']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['dl_004']."</td></tr>\n";
		while ($data = dbarray($result)) {
		  $file_url = $data['download_url'];
		  $file_name = $data['download_title'];
			echo "<tr><td align='center' class='tbl1'>".dl_get_file_url($file_url, $file_name)."</td>\n";
			$file_cat = $data['download_cat'];
      echo "<td align='center' class='tbl1'>".dl_get_file_cat($file_cat)."</td>\n";
      $user_profile_id = $data['download_add_user'];
			echo "<td align='center' class='tbl1'>".dl_get_user_profile_url($user_profile_id, $sys_dir)."</td>\n";
			$add_data = $data['download_datestamp'];
			echo "<td align='center' class='tbl1'>".dl_get_user_add_time($add_data)."</td>\n";
			echo "<td align='center' class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;axn=edit&dl_id=".$data['download_id']."'>".$locale['dl_002']."</a> | \n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=del&dl_id=".$data['download_id']."'>".$locale['dl_003']."</a></td>	</tr>\n";
		}
		echo "</table>\n";
	}
	else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['dl_021']."</span></p>\n";
		echo "</div>\n";
	}
	break;
	case 'edit':
	  if (isset($_POST['submit_dl'])) {
		if ($_POST['dl_name'] != "" && $_POST['dl_url'] != "" && $_POST['dl_description'] != "") {
			$submit_info['dl_category'] = stripinput($_POST['dl_category']);
			$submit_info['dl_name'] = stripinput($_POST['dl_name']);
			$submit_info['dl_url'] = stripinput($_POST['dl_url']);
			$submit_info['dl_description'] = stripinput($_POST['dl_description']);
			$submit_info['dl_license'] = stripinput($_POST['dl_license']);
			$submit_info['dl_os'] = stripinput($_POST['dl_os']);
			$submit_info['dl_version'] = stripinput($_POST['dl_version']);
			$submit_info['dl_size'] = stripinput($_POST['dl_size']);
			dbquery("INSERT INTO ".DB_DOWNLOADS." VALUES ('', '".$submit_info['dl_name']."', '".$submit_info['dl_description']."', '".$submit_info['dl_url']."', '', '".$submit_info['dl_category']."', '".$submit_info['dl_license']."', '".$submit_info['dl_os']."', '".$submit_info['dl_version']."', '".$submit_info['dl_size']."', '".time()."', '')");
			dbquery("DELETE FROM ".DB_HF_DOWNLOADS_SUGGESTIONS." WHERE download_id=".$dl_id."");
      echo "<center><div class='admin-message'>".$locale['dl_019']."!</div><center>";
		}
	 redirect (FUSION_SELF.$aidlink, "script");
	} else {
		$opts = "";
    $result = dbquery("SELECT * FROM ".DB_HF_DOWNLOADS_SUGGESTIONS." WHERE download_id=".$dl_id." ");
    $data = dbarray($result);
		$result2 = dbquery("SELECT download_cat_id, download_cat_name FROM ".DB_DOWNLOAD_CATS." WHERE ".groupaccess("download_cat_access")." ORDER BY download_cat_name");
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$opts .= "<option value='".$data2['download_cat_id']."'".($data['download_cat'] == $data2['download_cat_id'] ? " selected='selected'" : "").">".$data2['download_cat_name']."</option>\n";
			}		
			echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=edit' method='post' >\n";
			echo "<center><b>".$locale['dl_017']."</b></center><br />\n";
      echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
			echo "<tr>\n<td class='tbl'>".$locale['dl_023']."</td>\n";
			echo "<td class='tbl'><select name='dl_category' class='textbox'>\n$opts</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_009']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_name' value='".$data['download_title']."' maxlength='100' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_010']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_url' value='".$data['download_url']."' maxlength='200' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_011']."</td>\n";
			echo "<td class='tbl'><textarea name='dl_description' cols='50' rows='5' class='textbox' style='width:200px;'>".$data['download_description']."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_012']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_license' value='".$data['download_license']."' maxlength='200' class='textbox' style='width:150px;' /></td>\n";
      echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_013']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_os' value='".$data['download_os']."' maxlength='200' class='textbox' style='width:150px;' /></td>\n";
      echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_014']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_version' value='".$data['download_version']."' maxlength='200' class='textbox' style='width:150px;' /></td>\n";
      echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['dl_015']."</td>\n";
			echo "<td class='tbl'><input type='text' name='dl_size' value='".$data['download_filesize']."' maxlength='200' class='textbox' style='width:50px;' /></td>\n";
      echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='hidden' name='dl_id' value='$dl_id' /><input type='submit' name='submit_dl' value='".$locale['dl_001']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";
		} 	
	}
	break;
	case 'del':
	if (isset($_POST['del_button'])) {
		dbquery("DELETE FROM ".DB_HF_DOWNLOADS_SUGGESTIONS." WHERE download_id=".$dl_id."");
    echo "<center><div class='admin-message'>".$locale['dl_020']."!</div><center>";
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		 $result = dbquery("SELECT * FROM ".DB_HF_DOWNLOADS_SUGGESTIONS." WHERE download_id=".$dl_id." ");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=del' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['dl_018']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['dl_016']."<span style='font-weight:bold;'>".$data['download_title']."</span>?\n";
		echo "</td></tr>\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='dl_id' value='$dl_id' />\n";
		echo "<input type='submit' name='del_button' value='".$locale['dl_003']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}
closetable();

}

require_once THEMES."templates/footer.php";
?>