<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| exchange_panel.php
| Original author: Hisashi
| Email: hisashi@hoshi-fusion.com.pl
| Web: http://hoshi-fusion.com.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/exchange.php";

if (!checkrights("SEXP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }


$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$obj_id = (isset($_REQUEST['obj_id']) AND isnum($_REQUEST['obj_id'])) ? $_REQUEST['obj_id'] : "";

opentable($locale['exhsp_00']);
switch ($axn) {
	default:
	$result = dbquery("SELECT * FROM ".DB_EXCHANGEP."");
	$rows = dbrows($result);
	if ($rows > 0) {
		echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['exhsp_07']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['exhsp_08']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['exhsp_09']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['exhsp_010']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['exhsp_011']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<tr><td align='center' class='tbl1'>".$data['ex_name']."</td>\n";
			echo "<td align='center' class='tbl1'>".$data['ex_url']."</td>\n";
			echo "<td align='center' class='tbl1'><a href='".$data['ex_image_url']."' target='_blank' alt='".$locale['exhsp_026']."'><img src='".$data['ex_image_url']."' width='100' /></td>\n";
			echo "<td align='center' class='tbl1'>";
           if ($data['ex_image_type'] == "1") { 
                          echo $locale['exhsp_02']; 
           } elseif ($data['ex_image_type'] == "2") { 
                          echo $locale['exhsp_03']; 
           } elseif ($data['ex_image_type'] == "3")  { 
                            echo $locale['exhsp_05']; 
           } elseif ($data['ex_image_type'] == "4")  { 
                          echo $locale['exhsp_06']; 
           }
      echo "</td>\n";
			echo "<td align='center' class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;axn=edit&obj_id=".$data['ex_id']."'>".$locale['exhsp_012']."</a> | \n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=del&obj_id=".$data['ex_id']."'>".$locale['exhsp_015']."</a></td>	</tr>\n";
		}
		echo "<tr><td align='right' class='tbl2' colspan='5'><p style='padding:0.4em;'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['exhsp_014']."</a></p></td></tr></table>\n";
	}
	else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['exhsp_nill']."</span></p>\n";
		echo "<p style='margin-bottom:2em'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['exhsp_014']."</a></p></div>\n";
	}
	break;
	case 'add':
	if (isset($_POST['add_button'])) {
		dbquery("INSERT INTO ".DB_EXCHANGEP." VALUES('', '".$_POST['obj_name']."', '".$_POST['obj_url']."', '".$_POST['obj_image']."', '".$_POST['ex_image_type']."')");
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=add' method='post' style='margin:2em;'>\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['exhsp_016']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['exhsp_020']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><input type='text' name='obj_name' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_021']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='obj_url' size='40' class='textbox' value='".$settings['siteurl']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_022']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='obj_image' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_023']."</td>\n";
		echo "<td class='tbl1' align='left'><select name='ex_image_type' class='textbox' style='width:200px;' />\n";
    echo "<option value='1'>".$locale['exhsp_02']."</option>\n";
    echo "<option value='2'>".$locale['exhsp_03']."</option>\n";
    echo "<option value='3'>".$locale['exhsp_05']."</option>\n";
    echo "<option value='4'>".$locale['exhsp_06']."</option>\n";
    echo "</select></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='add_button' value='".$locale['exhsp_014']."' class='button' /></td></tr>\n";
		echo "</table>\n</form>\n";
	}
	break;
	case 'edit':
	if (isset($_POST['edit_button'])) {
		dbquery("UPDATE ".DB_EXCHANGEP." SET ex_name='".$_POST['ex_name']."', ex_url='".$_POST['ex_url']."', ex_image_url='".$_POST['ex_image_url']."', ex_image_type='".$_POST['ex_image_type']."' WHERE ex_id='".$obj_id."'");
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_EXCHANGEP." WHERE ex_id=".$obj_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=edit' method='post' style='margin:2em;'>\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['exhsp_017']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['exhsp_020']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><input type='text' name='ex_name' size='40' class='textbox' value='".$data['ex_name']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_021']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='ex_url' size='40' class='textbox' value='".$data['ex_url']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_022']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='ex_image_url' size='40' class='textbox' value='".$data['ex_image_url']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['exhsp_023']."</td>\n";
		echo "<td class='tbl1' align='left'><select name='ex_image_type' class='textbox' style='width:200px;' />\n";
    echo "<option value='1'".($data['ex_image_type'] == "1" ? " selected='selected'" : "").">".$locale['exhsp_02']."</option>\n";
    echo "<option value='2'".($data['ex_image_type'] == "2" ? " selected='selected'" : "").">".$locale['exhsp_03']."</option>\n";
    echo "<option value='3'".($data['ex_image_type'] == "3" ? " selected='selected'" : "").">".$locale['exhsp_05']."</option>\n";
    echo "<option value='4'".($data['ex_image_type'] == "4" ? " selected='selected'" : "").">".$locale['exhsp_06']."</option>\n";
    echo "</select></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'>\n";
		echo "<input type='hidden' name='obj_id' value='$obj_id'><input type='submit' name='edit_button' value='".$locale['exhsp_013']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>\n";
	}
	break;
	case 'del':
	if (isset($_POST['del_button'])) {
		dbquery("DELETE FROM ".DB_EXCHANGEP." WHERE ex_id=".$obj_id."");
		redirect (FUSION_SELF.$aidlink, "script");
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_EXCHANGEP." WHERE ex_id=".$obj_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=del' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['exhsp_018']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['exhsp_024']." <span style='font-weight:bold;'>\"".$data['ex_name']."\"</span>?\n";
		echo "</td></tr>\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='obj_id' value='$obj_id' />\n";
		echo "<input type='submit' name='del_button' value='".$locale['exhsp_015']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['exhsp_025']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}
closetable();

require_once THEMES."templates/footer.php";
?>