<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Service Pack File 
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("U") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include "../update_version.php";
 
if (file_exists(LOCALE.LOCALESET."admin/upgrade.php")) {
	include LOCALE.LOCALESET."admin/upgrade.php";
} else {
	include LOCALE."English/admin/upgrade.php";
} 

//SP locale titles
if (file_exists(LOCALE.LOCALESET."setup.php")) {
	include LOCALE.LOCALESET."setup.php";
} else {
	include LOCALE."English/setup.php";
}              

//install setup.php locale for SP1
if (file_exists(LOCALE.LOCALESET."sp_install.php")) {
	include LOCALE.LOCALESET."sp_install.php";
} else {
	include LOCALE."English/sp_install.php";
}                      




$result = dbquery("SELECT admin_title FROM ".DB_ADMIN." WHERE admin_rights='U'");
$admpdata = dbarray($result);
$syslog_log_ip = USER_IP;
$syslog_log_pname = $admpdata['admin_title']." - ";

opentable($locale['400']);
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

if (check_update($settings['ef_version'], $settings['ef_sp_version'], $settings['ef_compilation_number'], $hf_system_update_version_check, $hf_system_update_servicepack_check, $hf_system_update_compilation_check) === true) {
	if (!isset($_POST['stage'])) {
		echo sprintf($locale['500'], $locale['504'])."<br />\n".$locale['501']."<br /><br />\n";
		if (empty($settings['ef_sp_version']) === true || $settings['ef_sp_version'] < $hf_system_update_servicepack_check) {
            echo "<b>".$locale['hfspsi_01']."<br />".$locale['hfspsi_04']."<br />".$locale['hfspsi_02']."<br />".$locale['hfspsi_03']."</b><br /><br />\n";
		}
    echo "<input type='hidden' name='stage' value='2'>\n";
    echo "<input type='submit' name='upgrade' value='".$locale['400']."' class='button'><br /><br />\n";
	} elseif (isset($_POST['upgrade']) && isset($_POST['stage']) && $_POST['stage'] == 2) {      
  
                // HF 5.0 with SP2 compilation 5010 setup update 
              if (str_replace(".", "", $settings['ef_version']) < "51") {  
              
              // HF 5.0 with SP2 compilation 5010 setup update 
              if (str_replace(".", "", $settings['ef_version']) < "50") {    
                  //tables install
                  $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."admin");
							$result = dbquery("CREATE TABLE ".$db_prefix."admin (
							admin_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
							admin_rights CHAR(4) NOT NULL DEFAULT '',
							admin_image VARCHAR(50) NOT NULL DEFAULT '',
							admin_title VARCHAR(50) NOT NULL DEFAULT '',
							admin_link VARCHAR(100) NOT NULL DEFAULT 'reserved',
							admin_page TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
							PRIMARY KEY (admin_id)
							) ENGINE=MyISAM;");
							
							$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."siteteam");
              $result = dbquery("CREATE TABLE ".$db_prefix."siteteam (
	            st_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
              st_name varchar(50) NOT NULL,
              st_realname varchar(50) NOT NULL,
              st_location varchar(100) DEFAULT NULL,
              st_age varchar(50) NOT NULL,
              st_avatar varchar(100) NOT NULL,
              st_type TINYINT(3) NOT NULL,
              st_functions text NOT NULL,
              st_about text NOT NULL,
              st_gg char(100) NOT NULL,
              st_skype char(100) NOT NULL,
              st_email char(100) NOT NULL,
              st_active int(1) NOT NULL,
              st_leave int(1) NOT NULL,
              st_user_id mediumint(8) NOT NULL,
              st_avatar_type CHAR(1) NOT NULL,
              PRIMARY KEY (st_id)
              ) ENGINE=MyISAM;");
              
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."adpr_log");
              $result = dbquery("CREATE TABLE ".$db_prefix."adpr_log (
	            apr_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	            apr_user MEDIUMINT(8) NOT NULL,
	            apr_user_name VARCHAR(30) NOT NULL DEFAULT '',
	            apr_user_level TINYINT(3) UNSIGNED NOT NULL,
              apr_user_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
              apr_user_admin VARCHAR(30) NOT NULL DEFAULT '',
              apr_addtime INT(10) NOT NULL,    
              PRIMARY KEY (apr_id)
              ) ENGINE=MyISAM;");
              
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."syslogs");
              $result = dbquery("CREATE TABLE ".$db_prefix."syslogs (
	            log_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	            log_type CHAR(2) NOT NULL,
	            log_user MEDIUMINT(8) NOT NULL DEFAULT '0',
	            log_text TEXT NOT NULL,
	            log_ip VARCHAR(20) NOT NULL,
	            log_time INT(10) NOT NULL,   
              PRIMARY KEY (log_id)
              ) ENGINE=MyISAM;");
            
              
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."site_links");
							$result = dbquery("CREATE TABLE ".$db_prefix."site_links (
							link_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
							link_name VARCHAR(100) NOT NULL DEFAULT '',
							link_url VARCHAR(200) NOT NULL DEFAULT '',
							link_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
							link_position TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
							link_window TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
							link_order SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
							PRIMARY KEY (link_id)
							) ENGINE=MyISAM;");              
                
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."downloads_suggestions");
              $result = dbquery("CREATE TABLE ".$db_prefix."downloads_suggestions (
	               download_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
	               download_title VARCHAR(100) NOT NULL DEFAULT '',
	               download_description TEXT NOT NULL,
	               download_url VARCHAR(200) NOT NULL DEFAULT '',
	               download_file VARCHAR(100) NOT NULL DEFAULT '',
	               download_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	               download_license VARCHAR(50) NOT NULL DEFAULT '',
	               download_os VARCHAR(50) NOT NULL DEFAULT '',
	               download_version VARCHAR(20) NOT NULL DEFAULT '',
	               download_filesize VARCHAR(20) NOT NULL DEFAULT '',
	               download_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	               download_add_user MEDIUMINT(8) NOT NULL DEFAULT '0',
	               PRIMARY KEY (`download_id`),
	               INDEX download_datestamp (download_datestamp)
                ) ENGINE=MyISAM;");
              
              if (str_replace(".", "", $settings['ef_version']) < "31" ) {
                   $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."shadmin");
              $result = dbquery("CREATE TABLE ".$db_prefix."shadmin (
	             `sh_id` mediumint(8) NOT NULL AUTO_INCREMENT,
               `sh_name` varchar(50) NOT NULL,
               `sh_image` varchar(50) NOT NULL,
               `sh_link` text NOT NULL,
                PRIMARY KEY (`sh_id`)
              ) ENGINE=MyISAM;");
             }
               
            if (str_replace(".", "", $settings['ef_version']) < "35" ) {
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."shoutbox");
							$result = dbquery("CREATE TABLE ".$db_prefix."shoutbox (
							shout_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
							shout_name VARCHAR(50) NOT NULL DEFAULT '',
							shout_av VARCHAR(50) NOT NULL DEFAULT '',
							shout_message VARCHAR(200) NOT NULL DEFAULT '',
							shout_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
							shout_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
							shout_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
							PRIMARY KEY (shout_id),
							KEY shout_datestamp (shout_datestamp)
							) ENGINE=MyISAM;");
						}
            
            if (str_replace(".", "", $settings['ef_version']) < "42" ) {	
                $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."exchange_panel");
              $result = dbquery("CREATE TABLE ".$db_prefix."exchange_panel (
	            ex_id mediumint(8) NOT NULL AUTO_INCREMENT,
              ex_name varchar(250) NOT NULL,
              ex_url varchar(200) NOT NULL,
              ex_image_url varchar(200) NOT NULL,
              ex_image_type char(1) NOT NULL,
              PRIMARY KEY (ex_id)
              ) ENGINE=MyISAM;"); 
            }
            
              
            if (str_replace(".", "", $settings['ef_version']) < "45" ) {
            $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."site_privacy_policy");
            $result = dbquery("CREATE TABLE ".$db_prefix."site_privacy_policy (
	           spp_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	           spp_tittle VARCHAR(250) NOT NULL,
	           spp_begin TEXT NOT NULL,
	           spp_content TEXT NOT NULL,
	           spp_creator VARCHAR(250) NOT NULL,
	           spp_corector VARCHAR(250) NOT NULL,
	           spp_add_time INT(10) NOT NULL,
	           spp_lastmody_time INT(10) NOT NULL,
	           PRIMARY KEY (spp_id)
              ) ENGINE=MyISAM;"); 
            }
            
            if (str_replace(".", "", $settings['ef_version']) < "45" ) {
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."blok_blacklist_ip");
              $result = dbquery("CREATE TABLE IF NOT EXISTS ".$db_prefix."blok_blacklist_ip (
              bbl_id mediumint(8) NOT NULL AUTO_INCREMENT,
              bbl_ip varchar(20) NOT NULL DEFAULT '0.0.0.0',
              PRIMARY KEY (bbl_id)
              ) ENGINE=MyISAM;"); 
            }
            
              if (str_replace(".", "", $settings['ef_version']) < "47" ) {
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."hf_user_ban_time");
              $result = dbquery("CREATE TABLE ".$db_prefix."hf_user_ban_time (
	              hf_ban_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
		            hf_ban_user_id MEDIUMINT(8) NOT NULL,
		            hf_ban_time INT(10) NOT NULL,
		            hf_ban_ext TEXT NOT NULL,
		            hf_ban_type CHAR(1) NOT NULL,
		            hf_ban_user_time INT(10) NOT NULL,
	              PRIMARY KEY (hf_ban_id)
                ) ENGINE=MyISAM;"); 
              }
            
              if (str_replace(".", "", $settings['ef_version']) < "49" ) {
              $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."hf_admin_prefix");
              $result = dbquery("CREATE TABLE ".$db_prefix."hf_admin_prefix (
	              sdp_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
	              sdp_level TINYINT(3) UNSIGNED NOT NULL,
	              sdp_prefix VARCHAR(50) NOT NULL,
	              sdp_color VARCHAR(50) NOT NULL,
	              PRIMARY KEY (sdp_id)
                ) ENGINE=MyISAM;"); 
              }
                 
             if (str_replace(".", "", $settings['ef_version']) < "38" ) {
                 $result = dbquery("ALTER TABLE ".$db_prefix."users ADD COLUMN user_accepts_pp TINYINT(1) NOT NULL DEFAULT '0' AFTER user_avatar;"); 
             }
                  //settings values
                  if (LOCALESET != "English") {
                  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='Europe/Warsaw' WHERE settings_name='default_timezone'");
			            }
			          if (str_replace(".", "", $settings['ef_version']) < "37" ) {
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_disable_profile', '0')");
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_no_boot', '1')");
		              }
                if (str_replace(".", "", $settings['ef_version']) < "38" ) {
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_log_system', '1')");
			            $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_logs_per_page', '10')");
                  }
			            if (str_replace(".", "", $settings['ef_version']) < "39" ) {
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_gwm_code', '')");
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_gads_code', '')");
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_flavico', 'hf-flawicon.png')");
                  }  
							     if (str_replace(".", "", $settings['ef_version']) < "40" ) {
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_enable_del_user_profile', '0')");
							    }
                  if (isset($settings['ef_logs_max_in_db']) === false) {
                  $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_logs_max_in_db', '2000')");
                  }
                  if (isset($settings['ef_downloads_for_members']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_downloads_for_members', '0')");
                  }
                  if (isset($settings['ef_download_for_members']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_download_for_members', '0')");
                  }
                  if (isset($settings['ef_blok_blacklist']) === false) {
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_blok_blacklist', '1')");
                  }
                  if (isset($settings['ef_hf_enable_demo_mode']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_demo_mode', '0')"); 
                  }
                  if (isset($settings['ef_hf_demo_mode_info_show']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_demo_mode_info_show', '0')"); 
                  }
                  if (isset($settings['ef_hf_demo_mode_info']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_demo_mode_info', '".$locale['mfsi_039']."')"); 
                  }
                  if (isset($settings['ef_hf_enable_user_ban_system']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_user_ban_system', '1')");  
                  }
                  if (isset($settings['ef_hf_enable_user_time_bans']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_user_time_bans', '1')"); 
                  }
                  if (isset($settings['ef_hf_enable_admin_ban']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_admin_ban', '0')");  
                  }
                  if (isset($settings['ef_hf_enable_user_auto_unban']) === false) {
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_user_auto_unban', '1')");  
                  }
                  if (isset($settings['ef_hf_enable_clear_user_ban_log']) === false) {
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_enable_clear_user_ban_log', '0')"); 
                  }
                  if (isset($settings['ef_hf_bs_profile_logs_per_page']) === false) {     
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_bs_profile_logs_per_page', '10')"); 
                  }
                  if (isset($settings['ef_hf_login_loader']) === false) {
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_login_loader', 'hf_loader.gif')"); 
                  }
                  if (isset($settings['ef_log_system_view_log_info']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_log_system_view_log_info', '1')"); 
                  }
                  if (isset($settings['ef_user_admin_prefix_enable']) === false) {
			            $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_user_admin_prefix_enable', '0')"); 
                  }
                  if (isset($settings['ef_enable_downloads_suggestions']) === false) {
                  $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_enable_downloads_suggestions', '1')");
                  }
                      
							    //admin panel
							     $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('AD', 'admins.png', '".$locale['mfsi_011']."', 'administrators.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('AC', 'article_cats.png', '".$locale['081']."', 'article_cats.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('A', 'articles.png', '".$locale['082']."', 'articles.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SB', 'banners.png', '".$locale['083']."', 'banners.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('BB', 'bbcodes.png', '".$locale['084']."', 'bbcodes.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('B', 'blacklist.png', '".$locale['085']."', 'blacklist.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('C', '', '".$locale['086']."', 'reserved', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('CP', 'c-pages.png', '".$locale['087']."', 'custom_pages.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('DB', 'db_backup.png', '".$locale['088']."', 'db_backup.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('DC', 'dl_cats.png', '".$locale['089']."', 'download_cats.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('D', 'dl.png', '".$locale['090']."', 'downloads.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('FQ', 'faq.png', '".$locale['091']."', 'faq.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('F', 'forums.png', '".$locale['092']."', 'forums.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('IM', 'images.png', '".$locale['093']."', 'images.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('I', 'infusions.png', '".$locale['094']."', 'infusions.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('IP', '', '".$locale['095']."', 'reserved', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('M', 'members.png', '".$locale['096']."', 'members.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('NC', 'news_cats.png', '".$locale['097']."', 'news_cats.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('N', 'news.png', '".$locale['098']."', 'news.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('P', 'panels.png', '".$locale['099']."', 'panels.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('PH', 'photoalbums.png', '".$locale['100']."', 'photoalbums.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('PI', 'phpinfo.png', '".$locale['101']."', 'phpinfo.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('PO', 'polls.png', '".$locale['102']."', 'polls.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('BLAN', 'buttons.png', '".$locale['mfsi_001']."', '../infusions/button_panel/button_admin.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SL', 'site_links.png', '".$locale['104']."', 'site_links.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SM', 'smileys.png', '".$locale['105']."', 'smileys.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SU', 'submissions.png', '".$locale['106']."', 'submissions.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('U', 'upgrade.png', '".$locale['107']."', 'upgrade.php', 3)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('UG', 'user_groups.png', '".$locale['108']."', 'user_groups.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('WC', 'wl_cats.png', '".$locale['109']."', 'weblink_cats.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('W', 'wl.png', '".$locale['110']."', 'weblinks.php', 1)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S1', 'settings.png', '".$locale['111']."', 'settings_main.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S2', 'settings_time.png', '".$locale['112']."', 'settings_time.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S3', 'settings_forum.png', '".$locale['113']."', 'settings_forum.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S4', 'registration.png', '".$locale['114']."', 'settings_registration.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S5', 'photoalbums.png', '".$locale['115']."', 'settings_photo.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S6', 'settings_misc.png', '".$locale['116']."', 'settings_misc.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S7', 'settings_pm.png', '".$locale['117']."', 'settings_messages.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S8', 'settings_news.png', '".$locale['121']."', 'settings_news.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S9', 'settings_users.png', '".$locale['122']."', 'settings_users.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S10', 'settings_ipp.png', '".$locale['124']."', 'settings_ipp.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S11', 'settings_dl.png', '".$locale['123']."', 'settings_dl.php', 4)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S12', 'security.png', '".$locale['125']."', 'settings_security.php', '4')");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('UF', 'user_fields.png', '".$locale['118']."', 'user_fields.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('FR', 'forum_ranks.png', '".$locale['119']."', 'forum_ranks.php', 2)");
			             $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('UFC', 'user_fields_cats.png', '".$locale['120']."', 'user_field_cats.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('MAP', 'banners.png', '".$locale['mfsi_003']."', '../infusions/master_ads_panel/master_ads_admin.php', 1)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('UU', 'ua_users.png', '".$locale['mfsi_004']."', '../infusions/unauthenticated_users_panel/unauthenticated_users.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('UAD', 'admin_pass.png', '".$locale['mfsi_005']."', 'admin_list.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('FEXP', 'infusion_panel.png', '".$locale['mfsi_002']."', '../infusions/forum_extension_panel/forum_extension_admin.php', 4)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('MSM', 'mass_email.png', '".$locale['mfsi_017']."', '../infusions/mass_email/mass_email.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SHC', 'shps.png', '".$locale['shp_00s']."', '../infusions/hosting_settings/hosting_settings_admin.php', 4)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SHP', 'shp.png', '".$locale['shp_00']."', '../infusions/hosting_settings/settings_hosting.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SHI', 'shpi.png', '".$locale['shp_00i']."', '../infusions/hosting_settings/sh_images.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('ST1', 'site_team.png', '".$locale['mfsi_024']."', 'site_team.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S', 'shout.png', 'Shoutbox', 'shoutbox.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SLS', 'syslog.png', '".$locale['mfsi_031']." (RC2)', 'syslog.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('APR', 'admin_reset.png', '".$locale['mfsi_030']."', '../infusions/admin_reset/admin/admin_reset.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SPP', 'site_privacy_policy.png', 'Site Privacy Policy', '../infusions/site_privacy_policy/administration/site_privacy_policy.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SGS', 'google.png', '".$locale['mfsi_032']."', 'google.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SEXP', 'exchange_panel.png', '".$locale['mfsi_034']."', 'exchange_panel.php', 3)");            
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('BS', 'blacklist.png', '".$locale['mfsi_038']."', 'blok_blacklist_ip.php', 3)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('MM', 'hfbs.png', '".$locale['mfsi_040']."', 'hf_ban_system.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('S13', 'admin_prefix.png', '".$locale['mfsi_041']."', 'settings_admin_prefix.php', 2)");
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('D', 'dl.png', '".$locale['mfsi_042']."', 'downloads_suggestions.php', 2)");   
      
			 if (str_replace(".", "", $settings['ef_version']) < "45" ) {				     
       $result = dbquery("INSERT INTO ".DB_PREFIX."blok_blacklist_ip (bbl_id, bbl_ip) VALUES
	                       (1, '192.168.0.1'),
	                       (2, '192.168.1.1'),
	                       (3, '127.0.0.1'),
	                       (4, '192.168.0.254'),
	                       (5, '192.168.1.254')");
       } 
	     
	     if (str_replace(".", "", $settings['ef_version']) < "44" ) {
        //update userprofile table
        $result = dbquery("ALTER TABLE ".$db_prefix."users ADD COLUMN user_gg VARCHAR(50) NOT NULL DEFAULT '' AFTER user_sig;"); 
        $result = dbquery("ALTER TABLE ".$db_prefix."users ADD COLUMN user_skype VARCHAR(50) NOT NULL DEFAULT '' AFTER user_gg;");
 
        //update userprofile table
        $result = dbquery("SELECT max(field_order) field_order FROM ".DB_PREFIX."user_fields");
        $f_id = dbarray($result);
        $old_field_id =  $f_id['field_order'];
        $new_field_add = 1; 
        $new_field_add2 = 2;
        $new_field_id1 = $new_field_add + $old_field_id;
        $new_field_id2 = $new_field_add2 + $old_field_id;
        $result = dbquery("INSERT INTO ".DB_PREFIX."user_fields VALUES('', 'user_gg', '1', '$new_field_id1')"); 
        $result = dbquery("INSERT INTO ".DB_PREFIX."user_fields VALUES('', 'user_skype', '1', '$new_field_id2')");
 
        // user flieds info
        echo $locale['mfsi_035'].$new_field_id1.".</center><br />";
        echo $locale['mfsi_036'].$new_field_id2.".</center><br />";
        echo $locale['mfsi_037']."<br /><br />";
        
        }
                     
							       //admin rights update
                     $result = dbquery("UPDATE ".$db_prefix."users SET user_rights='A.AC.AD.B.BB.C.CP.DB.DC.D.FQ.F.FR.IM.I.IP.M.N.NC.P.PH.PI.PO.S.SL.S1.S2.S3.S4.S5.S6.S7.S8.S9.S10.S11.S12.SB.SM.SU.UF.UFC.UG.U.W.WC.BLAN.FEXP.AWEC.MAP.UU.UAD.MSM.SHP.SHC.SHI.ST1.APR.SLS.SPP.SGS.SEXP.BS.MM.S13'  WHERE user_level='106'");
                     
                     //siteteam General Admin
                     $sysadmin =  $settings['siteusername'];
                     $sysemail =  $settings['siteemail'];
                     $result = dbquery("INSERT INTO ".$db_prefix."siteteam (st_id, st_name, st_realname, st_location, st_age, st_avatar, st_type, st_functions, st_about, st_gg, st_skype, st_email, st_active, st_leave, st_user_id, st_avatar_type) VALUES('', '".$sysadmin."', '', '', '', 'noav.png', '106', 'General Site Admin', '', '', '', '".$sysemail."', '1', '0', '1', '3')");
                     
                     //sitelinks
                    	$result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['130']."', 'index.php', '0', '2', '0', '1')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['mfsi_026']."', 'news_cats.php', '0', '2', '0', '2')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['131']."', 'articles.php', '0', '2', '0', '3')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['138']."', 'photogallery.php', '0', '1', '0', '4')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['132']."', 'downloads.php', '0', '2', '0', '5')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['134']."', 'forum/index.php', '0', '2', '0', '6')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['mfsi_025']."', 'team3.php', '0', '2', '0', '7')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['133']."', 'faq.php', '0', '1', '0', '8')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['137']."', 'weblinks.php', '0', '2', '0', '9')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['135']."', 'contact.php', '0', '2', '0', '10')");
			                $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('".$locale['139']."', 'search.php', '0', '1', '0', '11')");

    
                }
                   if (str_replace(".", "", $settings['ef_compilation_number']) < "5013" ) {
                       $result = dbquery("UPDATE ".$db_prefix."panels SET panel_filename='hf_clock_panel'  WHERE panel_filename='clock_swf_for_hf_panel'");
                   }
                   
                   if (str_replace(".", "", $settings['ef_compilation_number']) < "5014" ) {
                          $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_hf_enable_admin_level', '1')");
                          $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_hf_enable_admin_level_security_level', '106')");
                   }
                   
                     if (str_replace(".", "", $settings['ef_compilation_number']) < "5100" ) {
                          $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_hfbs_enable_auto_ban_ip_adres', '1')");
                          $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_hfbs_counter_intrusion', '5')");
                          $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('SSLS', 'syslog.png', '".$locale['mfsi_031']." (RC4)', 'settings_syslog.php', 4)");
                          $result = dbquery("UPDATE ".$db_prefix."admin SET admin_title='".$locale['mfsi_031']." (RC4)' WHERE admin_rights='SLS'");
                          $result = dbquery("SELECT user_rights FROM ".DB_USERS." WHERE user_level='106'");
						               while ($data = dbarray($result)) {
							                     $result = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".SSLS' WHERE user_level='106'");
						                    }
                   }   
                   
                }  
                
                if (str_replace(".", "", $settings['ef_compilation_number']) < "5102") {
                     $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."disable_user_accounts");
                    $result = dbquery("CREATE TABLE ".$db_prefix."disable_user_accounts (
	                  account_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
	                  account_name VARCHAR(100) NOT NULL DEFAULT '',
	                  account_domain VARCHAR(350) NOT NULL DEFAULT '',
	                  account_admin MEDIUMINT(8) NOT NULL DEFAULT '0',
	                  account_time INT(10) NOT NULL,
	                  PRIMARY KEY (account_id)
                   ) ENGINE=MyISAM;");
                  
                   //settings
                   $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_enable_capacha2', '1')");
                   $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_active_nickname_and_emaildomain_filter', '1')");
                   $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_enable_recapacha', '0')");
                   $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_recapacha_site_key', '')");
                   $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('hf_enable_smtp_ssecure', '0')");
                   
                   //install new admin panel in system pa            
                   $hf_S4b = "S4b";
                   $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('".$hf_S4b."', 'registration.png', '".$locale['mfsi_043']."', 'disable_user_accounts.php', 3)");    
                   $result = dbquery("SELECT user_rights FROM ".DB_USERS." WHERE user_level='106'");
						               while ($data = dbarray($result)) {
							                     $result = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".".$hf_S4b."' WHERE user_level='106'");
                    }
                   
                  }
                  
                   if (str_replace(".", "", $settings['ef_compilation_number']) < "5200") {
                       $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('hf_pp_required', '1')");
                       $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('hf_pp_required_to_posted', '0')");
                   }
                    
                //hf version && compilation && Servicepack  
                if (isset($settings['ef_sp_name']) === false || isset($settings['ef_sp_version']) === false || isset($settings['ef_compilation']) === false || isset($settings['ef_compilation_number']) === false || isset($settings['hf_installation_date']) === false || isset($settings['hf_last_updated']) === false) {
                 if (isset($settings['ef_sp_name']) === false) {
                      $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_sp_name', '".$locale['mfsui_001']."')");
                 } 
                 if (isset($settings['ef_sp_version']) === false) {
                     $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_sp_version', '$hf_system_update_servicepack')");
                 } else {
                          $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_servicepack' WHERE settings_name='ef_sp_version'");
                 }
                 if (isset($settings['ef_compilation']) === false) {               
                    $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_compilation', 'Compilation: ')");
                 }
                 if (isset($settings['ef_compilation_number']) === false) {
                       $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('ef_compilation_number', '$hf_system_update_compilation')");
                 } else {
                   $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_compilation' WHERE settings_name='ef_compilation_number'");
                 }
                 if (isset($settings['hf_installation_date']) === false) {
                       $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('hf_installation_date', '0' )");
                 }
                 if (isset($settings['hf_last_updated']) === false) {
                       $result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('hf_last_updated', '".time()."' )");
                 } else {
                          $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".time()."' WHERE settings_name='hf_last_updated'");
                 }
                } else {                
                        $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_compilation' WHERE settings_name='ef_compilation_number'");
                        $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_servicepack' WHERE settings_name='ef_sp_version'");
                        $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".time()."' WHERE settings_name='hf_last_updated'");
                }
                $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_version' WHERE settings_name='ef_version'");
                $message = $locale['502'];
	             //syslog
	             if(mysql_num_rows(mysql_query("SHOW TABLES LIKE '".DB_SYSLOG."'"))==1) {
		               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");	
               }
         echo $locale['502']."<br /><br />\n";
	}
} else {
	echo $locale['401']."<br /><br />\n";
}
	
echo "</form>\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>