<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
|HF info panel
| Original author: Hisashi
| Web: http://mitsduki.com.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."hf_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_info_panel/locale/English.php";
}


opentable($locale['hfip_000']);
 //last users
   echo "<table width='100%' border='0'><tr><td align='center' width='25%'>";
   echo  $locale['lsup000']."</td><td align='center' width='25%'>".$locale['hfarts_00']."</td><td align='center' width='25%'>".$locale['hftopd_00']."</td>
        <td align='center' width='25%'>".$locale['hfforumt_00']."</td></tr><tr><td align='center' width='25%'>";
$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,10");
echo "<table cellpadding='0' cellspacing='0' width='100%'>";
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		$lastseen = time() - $data['user_lastvisit'];
		$iW=sprintf("%2d",floor($lastseen/604800));
		$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
		$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
		$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
		$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
		if ($lastseen < 60){
			$lastseen= $locale['lsup001'];
		} elseif ($lastseen < 360){
			$lastseen= $locale['lsup002'];
		} elseif ($iW > 0){
			if ($iW == 1) { $text = $locale['lsup003']; } else { $text = $locale['lsup004']; }
			$lastseen = $iW." ".$text;
		} elseif ($iD > 0){
			if ($iD == 1) { $text = $locale['lsup005']; } else { $text = $locale['lsup006']; }
			$lastseen = $iD." ".$text;
		} else {
			$lastseen = $iH.":".$iM.":".$iS;
		}
		echo "<tr>\n<td align='left'><img src='".THEME."images/bullet.gif' alt=''>\n";
if ($settings['hide_userprofiles']) {
		echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."' class='side'>\n";
		echo trimlink($data['user_name'], 20)."</a>";
} else { echo trimlink($data['user_name'], 20); }

echo "</td><td align='right'>".$lastseen."</td>\n</tr>\n";
	}
}
echo "</table>\n";

echo "</td><td align='center' width='25%'>";
  //last arts 
  $result = dbquery(
	"SELECT ta.article_id, ta.article_subject, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,5"
);
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['global_031']."</div>\n";
}

echo "</td><td align='center' width='25%'>";
//last downloads

$result = dbquery("SELECT download_id, download_title, download_cat, download_count FROM ".DB_DOWNLOADS." ORDER BY download_datestamp DESC LIMIT 0,5 "); 
echo "<table width='100%' border='0'>"; 
while ($data = dbarray($result)) {
  echo "<tr><td><a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."' target='_blank'>".$data['download_title']."</a></td>
        <td>".$data['download_count'].$locale['hftopd_01']."</td></tr>";    
}
 echo "</table>\n"; 
echo "</td><td align='center' width='25%'>";
//last on forum
echo "<center><strong>".$locale['global_021']."</strong></center>\n";
$result = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
	ORDER BY thread_lastpost DESC LIMIT 5
");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 23);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['global_023']."</div>\n";
}
echo "<center><strong>".$locale['global_022']."</strong></center>\n";

$timeframe = ($settings['popular_threads_timeframe'] != 0 ? "thread_lastpost >= ".(time()-$settings['popular_threads_timeframe']) : "");
list($min_posts) = dbarraynum(dbquery("SELECT thread_postcount FROM ".DB_THREADS.($timeframe ? " WHERE ".$timeframe : "")." ORDER BY thread_postcount DESC LIMIT 4,1"));
$timeframe = ($timeframe ? " AND tt.".$timeframe : "");

$result = dbquery("
	SELECT tf.forum_id, tt.thread_id, tt.thread_subject, tt.thread_postcount
	FROM ".DB_FORUMS." tf
	INNER JOIN ".DB_THREADS." tt USING(forum_id)
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_postcount >= '".$min_posts."'".$timeframe." AND tt.thread_hidden='0'
	ORDER BY thread_postcount DESC, thread_lastpost DESC LIMIT 5
");
if (dbrows($result) != 0) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 20);
		echo "<tr>\n<td>".THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a></td>\n";
		echo "<td align='right'>[".($data['thread_postcount'] - 1)."]</td>\n</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<div style='text-align:center'>".$locale['global_023']."</div>\n";
}   
echo "</td></tr></table>\n";
closetable();
?>