<?php
/*---------------------------------------------------+
| sh_buildlist.php - iLister enginge.
+----------------------------------------------------+
| Copyright (C) 2005 Johs Lind
| http://www.geltzer.dk/
| Inspired by: PHP-Fusion 6 coding
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INFUSIONS."hosting_settings/infusion_db.php";

if (file_exists(SHAP."locale/".$settings['locale'].".php")) {
	include SHAP."locale/".$settings['locale'].".php";
} else {
	include SHAP."locale/English.php";
}

$image_files = array();

// sh_images ------------------------
$temp = opendir(IMG_HSC);
while ($file = readdir($temp)) {
	if (!in_array($file, array(".", "..", "/", "index.php", "imagelist.js")) && !is_dir(IMAGES.$file)) {
		$image_files[] = "['".$locale['shp_26'].": ".$file."','".$settings['siteurl']."infusions/hosting_settings/images/".$file."'], ";
	}
}
closedir($temp);



// compile list -----------------
if (isset($image_files)) {
	$indhold = "var tinyMCEImageList = new Array(";
	for ($i = 0; $i < count($image_files); $i++){
		$indhold .= $image_files[$i];
	}
	$lang = strlen($indhold) - 2;
	$indhold = substr($indhold, 0, $lang);
	$indhold = $indhold.");";
	$fp = fopen(IMG_HSC."imagelist.js", "w");
	fwrite($fp, $indhold);
	fclose($fp);
}

?>